-- phpMyAdmin SQL Dump
-- version 3.5.1
-- http://www.phpmyadmin.net
--
-- Client: localhost
-- Généré le: Mer 21 Mai 2014 à 20:34
-- Version du serveur: 5.5.24-log
-- Version de PHP: 5.4.3

SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

--
-- Base de données: `gsbbag`
--

-- --------------------------------------------------------

--
-- Structure de la table `acceder`
--

CREATE TABLE IF NOT EXISTS `acceder` (
  `idGroupe` int(11) NOT NULL,
  `idOnglet` int(11) NOT NULL,
  PRIMARY KEY (`idGroupe`,`idOnglet`),
  KEY `fk_Groupe_has_Onglet_Onglet1_idx` (`idOnglet`),
  KEY `fk_Groupe_has_Onglet_Groupe1_idx` (`idGroupe`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Contenu de la table `acceder`
--

INSERT INTO `acceder` (`idGroupe`, `idOnglet`) VALUES
(2, 3),
(3, 4),
(1, 5);

-- --------------------------------------------------------

--
-- Structure de la table `commercial`
--

CREATE TABLE IF NOT EXISTS `commercial` (
  `idSalarie` int(11) NOT NULL,
  `idTarif` int(11) NOT NULL,
  PRIMARY KEY (`idSalarie`),
  KEY `fk_Commercial_Tarif` (`idTarif`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Contenu de la table `commercial`
--

INSERT INTO `commercial` (`idSalarie`, `idTarif`) VALUES
(1, 1),
(3, 1),
(5, 1),
(6, 1),
(8, 1),
(10, 1),
(2, 2);

-- --------------------------------------------------------

--
-- Structure de la table `comptable`
--

CREATE TABLE IF NOT EXISTS `comptable` (
  `idSalarie` int(11) NOT NULL,
  PRIMARY KEY (`idSalarie`),
  KEY `fk_Comptable_Salarie1_idx` (`idSalarie`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Contenu de la table `comptable`
--

INSERT INTO `comptable` (`idSalarie`) VALUES
(4),
(7),
(9);

-- --------------------------------------------------------

--
-- Structure de la table `elementforfaitaire`
--

CREATE TABLE IF NOT EXISTS `elementforfaitaire` (
  `idElementForfaitaire` int(11) NOT NULL AUTO_INCREMENT,
  `libelle` varchar(45) NOT NULL,
  `tarif` float NOT NULL,
  PRIMARY KEY (`idElementForfaitaire`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=3 ;

--
-- Contenu de la table `elementforfaitaire`
--

INSERT INTO `elementforfaitaire` (`idElementForfaitaire`, `libelle`, `tarif`) VALUES
(1, 'Nuitée', 80),
(2, 'Repas midi', 29);

-- --------------------------------------------------------

--
-- Structure de la table `etat`
--

CREATE TABLE IF NOT EXISTS `etat` (
  `idEtat` int(11) NOT NULL AUTO_INCREMENT,
  `libelle` varchar(45) NOT NULL,
  PRIMARY KEY (`idEtat`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=5 ;

--
-- Contenu de la table `etat`
--

INSERT INTO `etat` (`idEtat`, `libelle`) VALUES
(1, 'Fiche en attente'),
(2, 'Fiche confirmée'),
(3, 'Fiche refusée'),
(4, 'Fiche annulé');

-- --------------------------------------------------------

--
-- Structure de la table `etatfichefrais`
--

CREATE TABLE IF NOT EXISTS `etatfichefrais` (
  `idFicheFrais` int(11) NOT NULL,
  `idEtat` int(11) NOT NULL,
  `dateEtat` date NOT NULL,
  PRIMARY KEY (`idFicheFrais`,`idEtat`),
  KEY `fk_FicheFrais_has_Etat_Etat1_idx` (`idEtat`),
  KEY `fk_FicheFrais_has_Etat_FicheFrais1_idx` (`idFicheFrais`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Contenu de la table `etatfichefrais`
--

INSERT INTO `etatfichefrais` (`idFicheFrais`, `idEtat`, `dateEtat`) VALUES
(1, 1, '2013-12-19'),
(2, 3, '2013-12-13');

-- --------------------------------------------------------

--
-- Structure de la table `fichefrais`
--

CREATE TABLE IF NOT EXISTS `fichefrais` (
  `idFicheFrais` int(11) NOT NULL,
  `mois` smallint(6) NOT NULL,
  `annee` smallint(6) NOT NULL,
  `nbKm` smallint(6) NOT NULL,
  `montantTotal` float NOT NULL,
  `remarque` text,
  `idCommercial` int(11) NOT NULL,
  `idComptable` int(11) DEFAULT NULL,
  PRIMARY KEY (`idFicheFrais`),
  KEY `fk_FicheFrais_Commercial1_idx` (`idCommercial`),
  KEY `fk_FicheFrais_Comptable1_idx` (`idComptable`),
  KEY `u_FicheFrais_mois` (`idCommercial`,`annee`,`mois`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Contenu de la table `fichefrais`
--

INSERT INTO `fichefrais` (`idFicheFrais`, `mois`, `annee`, `nbKm`, `montantTotal`, `remarque`, `idCommercial`, `idComptable`) VALUES
(1, 12, 2013, 578, 716.56, '', 1, NULL),
(2, 3, 2013, 554, 666.08, 'Je refuse cette fiche pour l''amende qui est à votre charge.', 1, NULL);

-- --------------------------------------------------------

--
-- Structure de la table `groupe`
--

CREATE TABLE IF NOT EXISTS `groupe` (
  `idGroupe` int(11) NOT NULL,
  `libelle` varchar(45) NOT NULL,
  PRIMARY KEY (`idGroupe`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Contenu de la table `groupe`
--

INSERT INTO `groupe` (`idGroupe`, `libelle`) VALUES
(1, 'Administrateur'),
(2, 'Commercial'),
(3, 'Comptable');

-- --------------------------------------------------------

--
-- Structure de la table `justificatif`
--

CREATE TABLE IF NOT EXISTS `justificatif` (
  `idJustificatif` int(11) NOT NULL AUTO_INCREMENT,
  `idFicheFrais` int(11) NOT NULL,
  `idElementForfaitaire` int(11) NOT NULL,
  `nom` varchar(20) NOT NULL,
  PRIMARY KEY (`idJustificatif`),
  KEY `fk_Justificatif_FicheFrais1_idx` (`idFicheFrais`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=107 ;

--
-- Contenu de la table `justificatif`
--

INSERT INTO `justificatif` (`idJustificatif`, `idFicheFrais`, `idElementForfaitaire`, `nom`) VALUES
(100, 1, 1, '1_1_1_0.png'),
(101, 1, 1, '1_1_1_1.png'),
(102, 1, 2, '1_1_2_0.png'),
(104, 2, 1, '1_2_1_0.png'),
(105, 2, 1, '1_2_1_1.png'),
(106, 2, 2, '1_2_2_0.png');

-- --------------------------------------------------------

--
-- Structure de la table `ligneforfaitaire`
--

CREATE TABLE IF NOT EXISTS `ligneforfaitaire` (
  `idLigneForfaitaire` int(11) NOT NULL AUTO_INCREMENT,
  `qte` int(11) NOT NULL,
  `idFicheFrais` int(11) NOT NULL,
  `idElementForfaitaire` int(11) NOT NULL,
  PRIMARY KEY (`idLigneForfaitaire`),
  KEY `fk_LigneForfaitaire_FicheFrais1_idx` (`idFicheFrais`),
  KEY `fk_LigneForfaitaire_ElementForfaitaire1_idx` (`idElementForfaitaire`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=141 ;

--
-- Contenu de la table `ligneforfaitaire`
--

INSERT INTO `ligneforfaitaire` (`idLigneForfaitaire`, `qte`, `idFicheFrais`, `idElementForfaitaire`) VALUES
(133, 3, 1, 1),
(134, 4, 1, 2),
(139, 4, 2, 1),
(140, 2, 2, 2);

-- --------------------------------------------------------

--
-- Structure de la table `lignehorsforfait`
--

CREATE TABLE IF NOT EXISTS `lignehorsforfait` (
  `idLigneHorsForfait` int(11) NOT NULL AUTO_INCREMENT,
  `libelle` varchar(45) NOT NULL,
  `dateJustificatif` date NOT NULL,
  `montant` float NOT NULL,
  `idFicheFrais` int(11) NOT NULL,
  `justificatif` varchar(40) NOT NULL,
  PRIMARY KEY (`idLigneHorsForfait`),
  KEY `fk_LigneHorsForfait_FicheFrais1_idx` (`idFicheFrais`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=10 ;

--
-- Contenu de la table `lignehorsforfait`
--

INSERT INTO `lignehorsforfait` (`idLigneHorsForfait`, `libelle`, `dateJustificatif`, `montant`, `idFicheFrais`, `justificatif`) VALUES
(9, 'Batterie de voiture', '2013-12-04', 60, 1, '1_1_0_0.png');

-- --------------------------------------------------------

--
-- Structure de la table `onglet`
--

CREATE TABLE IF NOT EXISTS `onglet` (
  `idOnglet` int(11) NOT NULL,
  `libelle` varchar(45) DEFAULT NULL,
  `fichier` varchar(45) DEFAULT NULL,
  PRIMARY KEY (`idOnglet`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Contenu de la table `onglet`
--

INSERT INTO `onglet` (`idOnglet`, `libelle`, `fichier`) VALUES
(1, 'Connexion', 'connexion'),
(2, 'Accueil', 'index'),
(3, 'Fiche frais', 'fichefrais'),
(4, 'Fiche frais', 'fichefraiscomptable'),
(5, 'Les salariés', 'afficherSalarie');

-- --------------------------------------------------------

--
-- Structure de la table `salarie`
--

CREATE TABLE IF NOT EXISTS `salarie` (
  `idSalarie` int(11) NOT NULL AUTO_INCREMENT,
  `prenom` varchar(45) NOT NULL,
  `nom` varchar(45) NOT NULL,
  `sexe` char(1) NOT NULL,
  `dateNaissance` date NOT NULL,
  `rue` varchar(45) NOT NULL,
  `ville` varchar(45) NOT NULL,
  `codePostal` char(5) NOT NULL,
  `mail` varchar(45) NOT NULL,
  `numPortable` char(20) NOT NULL,
  `numFixe` char(20) NOT NULL,
  `login` varchar(45) NOT NULL,
  `motDePasse` binary(20) NOT NULL,
  `idGroupe` int(11) NOT NULL,
  PRIMARY KEY (`idSalarie`),
  KEY `fk_Salarie_Groupe1_idx` (`idGroupe`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 AUTO_INCREMENT=25 ;

--
-- Contenu de la table `salarie`
--

INSERT INTO `salarie` (`idSalarie`, `prenom`, `nom`, `sexe`, `dateNaissance`, `rue`, `ville`, `codePostal`, `mail`, `numPortable`, `numFixe`, `login`, `motDePasse`, `idGroupe`) VALUES
(1, 'Jean', 'Registre', 'M', '1993-01-01', '29 Rue de la sauvegarde', 'Abbécourt', '02300', 'jean.registre@gsbmail.com', '0626552606', '0323960508', 'JEAN.REGISTRE', '_0,E/9V3B', 2),
(2, 'Djamal', 'Dormi', 'M', '1993-02-02', '56 Avenue du dodo', 'Amblainville', '02600', 'djamal.dormi@gsbmail.com', '0623993247', '0396235696', 'DJAMAL.DORMI', '_0,E/9V3B', 2),
(3, 'Maude', 'Erateur', 'F', '1993-03-03', '404 Rue de l''erreur', 'Agenville', '02200', 'maude.erateur@gsbmail.com', '0645965402', '0389961458', 'MAUDE.ERATEUR', '_0,E/9V3B', 2),
(4, 'Romeo', 'Frigo', 'M', '1933-04-04', '89 Rue de la faim', 'Arrest', '02600', 'romeo.frigo@gsbmail.com', '0623984525', '0356985620', 'ROMEO.FRIGO', '_0,E/9V3B', 3),
(5, 'Sacha', 'Touille', 'M', '1993-05-05', '32 Avenue de la plume', 'Acheux-En-Vimeu', '80100', 'sacha.touille@gsbmail.com', '0658562545', '0326589654', 'SACHA.TOUILLE', '_0,E/9V3B', 2),
(6, 'Gerard', 'Manvussa', 'M', '1993-06-06', '89 Rue de l''étonner', 'Soissons', '02200', 'gerard.manvussa@gsbmail.com', '0678521452', '0323654105', 'GERARD.MANVUSSA', '_0,E/9V3B', 2),
(7, 'Sarah', 'Pelle', 'F', '1993-07-07', '41 Rue du télèphone', 'Saint Quentin', '02100', 'sarah.pelle@gsbmail.com', '0685452136', '0358458964', 'SARAH.PELLE', '_0,E/9V3B', 3),
(8, 'Tom', 'Hawack', 'M', '1993-08-08', '66 Rue de la paix', 'Amiens', '80000', 'tom.hawack@gsbmail.com', '0698452369', '0323584569', 'TOM.HAWACK', '_0,E/9V3B', 2),
(9, 'Yann', 'Akepourlui', 'M', '1993-09-09', '105 Rue de l''égoïste', 'Marseille', '13000', 'yann.akepourlui@gsbmail.com', '0656254145', '0326541258', 'Yann.Akepourlui', '_0,E/9V3B', 2),
(10, 'Otto', 'Graf', 'M', '1993-10-10', '256 Avenue de la signature', 'Toutlouse', '31500', 'otto.graf@gsbmail.com', '0698542145', '0325485694', 'OTTO.GRAF', '_0,E/9V3B', 2),
(11, 'Ari', 'Bo', 'M', '1993-11-11', '12 Ru du Dragibus Tagada', 'Chamallows', '02000', 'ari.bo@gsbmail.com', '0607080910', '0304050607', 'Ari.Bo', '_0,E/9V3B', 1),
(12, 'Nuggets', 'Ships', 'M', '1993-12-12', '45 Rue du Mc Donalds', 'Mc Donalds Land', '80000', 'nuggets.ships@gsbmail.com', '0652145236', '0326884212', 'NUGGETS.SHIPS', '_0,E/9V3B', 1),
(13, 'Sebastian', 'Diebrook', 'M', '1993-12-13', '42 Avenue du C', 'Rennes', '56000', 'sebastian.diebrook@gsbmail.com', '0621548712', '0326578963', 'SEBASTIEN.DIEBRROK', '_0,E/9V3B', 1),
(24, 'test', 'test', 'M', '1993-12-19', 'ici 58', 'ici', '52333', 'test@test.test', '0600000000', '0300000000', 'test.test', '2222\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0\0', 1);

-- --------------------------------------------------------

--
-- Structure de la table `tarif`
--

CREATE TABLE IF NOT EXISTS `tarif` (
  `id` int(11) NOT NULL,
  `tarifKm` float DEFAULT NULL,
  `libelle` varchar(50) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Contenu de la table `tarif`
--

INSERT INTO `tarif` (`id`, `tarifKm`, `libelle`) VALUES
(1, 0.52, 'Diesel 4CV'),
(2, 0.58, 'Diesel 5/6CV'),
(3, 0.62, 'Essence 4CV'),
(4, 0.67, 'Essence 5/6CV');

-- --------------------------------------------------------

--
-- Structure de la table `voitureenattente`
--

CREATE TABLE IF NOT EXISTS `voitureenattente` (
  `idCommercial` int(11) NOT NULL,
  `carteGrise` varchar(30) NOT NULL,
  `carburant` varchar(2) NOT NULL,
  `puissance` varchar(3) NOT NULL,
  PRIMARY KEY (`idCommercial`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Contraintes pour les tables exportées
--

--
-- Contraintes pour la table `acceder`
--
ALTER TABLE `acceder`
  ADD CONSTRAINT `fk_Groupe_has_Onglet_Groupe1` FOREIGN KEY (`idGroupe`) REFERENCES `groupe` (`idGroupe`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  ADD CONSTRAINT `fk_Groupe_has_Onglet_Onglet1` FOREIGN KEY (`idOnglet`) REFERENCES `onglet` (`idOnglet`) ON DELETE NO ACTION ON UPDATE NO ACTION;

--
-- Contraintes pour la table `commercial`
--
ALTER TABLE `commercial`
  ADD CONSTRAINT `Commercial_ibfk_1` FOREIGN KEY (`idSalarie`) REFERENCES `salarie` (`idSalarie`),
  ADD CONSTRAINT `fk_Commercial_Tarif` FOREIGN KEY (`idTarif`) REFERENCES `tarif` (`id`);

--
-- Contraintes pour la table `comptable`
--
ALTER TABLE `comptable`
  ADD CONSTRAINT `fk_Comptable_Salarie1` FOREIGN KEY (`idSalarie`) REFERENCES `salarie` (`idSalarie`) ON DELETE CASCADE ON UPDATE NO ACTION;

--
-- Contraintes pour la table `etatfichefrais`
--
ALTER TABLE `etatfichefrais`
  ADD CONSTRAINT `fk_FicheFrais_has_Etat_Etat1` FOREIGN KEY (`idEtat`) REFERENCES `etat` (`idEtat`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  ADD CONSTRAINT `fk_FicheFrais_has_Etat_FicheFrais1` FOREIGN KEY (`idFicheFrais`) REFERENCES `fichefrais` (`idFicheFrais`) ON DELETE NO ACTION ON UPDATE NO ACTION;

--
-- Contraintes pour la table `fichefrais`
--
ALTER TABLE `fichefrais`
  ADD CONSTRAINT `fk_FicheFrais_Commercial1` FOREIGN KEY (`idCommercial`) REFERENCES `commercial` (`idSalarie`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  ADD CONSTRAINT `fk_FicheFrais_Comptable1` FOREIGN KEY (`idComptable`) REFERENCES `comptable` (`idSalarie`) ON DELETE NO ACTION ON UPDATE NO ACTION;

--
-- Contraintes pour la table `justificatif`
--
ALTER TABLE `justificatif`
  ADD CONSTRAINT `fk_Justificatif_FicheFrais1` FOREIGN KEY (`idFicheFrais`) REFERENCES `fichefrais` (`idFicheFrais`) ON DELETE NO ACTION ON UPDATE NO ACTION;

--
-- Contraintes pour la table `ligneforfaitaire`
--
ALTER TABLE `ligneforfaitaire`
  ADD CONSTRAINT `fk_LigneForfaitaire_ElementForfaitaire1` FOREIGN KEY (`idElementForfaitaire`) REFERENCES `elementforfaitaire` (`idElementForfaitaire`) ON DELETE NO ACTION ON UPDATE NO ACTION,
  ADD CONSTRAINT `fk_LigneForfaitaire_FicheFrais1` FOREIGN KEY (`idFicheFrais`) REFERENCES `fichefrais` (`idFicheFrais`) ON DELETE NO ACTION ON UPDATE NO ACTION;

--
-- Contraintes pour la table `lignehorsforfait`
--
ALTER TABLE `lignehorsforfait`
  ADD CONSTRAINT `fk_LigneHorsForfait_FicheFrais1` FOREIGN KEY (`idFicheFrais`) REFERENCES `fichefrais` (`idFicheFrais`) ON DELETE NO ACTION ON UPDATE NO ACTION;

--
-- Contraintes pour la table `salarie`
--
ALTER TABLE `salarie`
  ADD CONSTRAINT `Salarie_ibfk_1` FOREIGN KEY (`idGroupe`) REFERENCES `groupe` (`idGroupe`);

--
-- Contraintes pour la table `voitureenattente`
--
ALTER TABLE `voitureenattente`
  ADD CONSTRAINT `fk_VoitureEnAttente_Commercial1` FOREIGN KEY (`idCommercial`) REFERENCES `commercial` (`idSalarie`) ON DELETE NO ACTION ON UPDATE NO ACTION;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
