<?php
/** 
 * @Dossier : \ 
 * @package SLAM
 * @Auteur : Aristide Agoyer
 * @Date : 07/10/2013
 */
session_start();
require("include/class.donnees.inc.php");
require("include/class.fonction.lib.php");
 
 // récupération des paramétres transmis par la méthode POST
$idSalarie ="";
$nom = Fonction::echapperCaractere($_POST["nom"]);
$prenom = Fonction::echapperCaractere($_POST["prenom"]);
$sexe = $_POST["sexe"];
$dateNaissance = $_POST["dateNaissance"];
$ville = Fonction::echapperCaractere($_POST["ville"]);
$rue = Fonction::echapperCaractere($_POST["rue"]);
$codePostal = $_POST["codePostal"];
$mail = $_POST["mail"];
$numPortable = $_POST["numPortable"];
$numFixe =$_POST["numFixe"];
$idGroupe = $_POST["idGroupe"];

$lesErreurs = array();

// Vérification nom
if (empty($nom)) {
	$lesErreurs["nom"] = " Saisissez votre nom ";
} elseif (!Fonction::formatValide($nom, 'nom')) {
	$lesErreurs["nom"] = " Caractéres non acceptés ";
}

// Vérification prénom
if (empty($prenom)) { 
	$lesErreurs["prenom"] = " Saisissez votre prénom";
} elseif (!Fonction::formatValide($prenom, 'nom')) {
		$lesErreurs["prenom"] = " Caractères non acceptés ";
}

// contrôle de l'unicité du nom et prénom
if (!isset($lesErreurs["nom"]) && !isset($lesErreurs["prenom"])) {
	if (Fonction::verifierUniciteNomPrenom($nom, $prenom) == 1) {
		$lesErreurs["nom"] = " Utilisateur déjà inscrit";
	}
}

// contrôle de la date de naissance :  la date est récupérée dans le format aaaa-mm-jj type = 'date'
if (empty($dateNaissance)) {
	$lesErreurs["dateNaissance"] = " Saisissez votre date de naissance";
} elseif (!Fonction::formatValide($dateNaissance, 'dateMysql')) {
	$lesErreurs["dateNaissance"] = " Date de naissance invalide ";
}

// Vérification ville
if (empty($ville)) { 
	$lesErreurs["ville"] = " Saisissez votre ville";
}

// Vérification rue
if (empty($rue)) { 
	$lesErreurs["rue"] = " Saisissez votre rue";
}

// Vérification code postal
if (empty($codePostal)) {
	$lesErreurs["codePostal"] = " Saisissez votre code postal ";
} elseif (!Fonction::formatValide($codePostal, 'codePostal')) {
	$lesErreurs["codePostal"] = " Caractéres non acceptés ";
}

// Vérification de l'email

if (empty($mail)) {
	$lesErreurs["mail"] = " Saisissez votre E-mail ";
} elseif (!Fonction::formatValide($mail, 'mail')) {
	$lesErreurs["mail"] = " Caractères non acceptés ";
	} elseif (Fonction::verifierUniciteEmail($mail) == 1) {
		$lesErreurs["mail"] = "E-mail déjà utilisé";
}

// Vérification du portable

if (empty($numPortable)) {
	$lesErreurs["numPortable"] = " Saisissez votre numéro de portable ";
} elseif (!Fonction::formatValide($numPortable, 'tel')) {
	$lesErreurs["numPortable"] = " Caractères non acceptés ";
	} elseif (Fonction::verifierUniciteNumPortable($numPortable) == 1) {
		$lesErreurs["numPortable"] = "Numéro de portable déjà utilisé";
}

// Vérification du fixe

if (empty($numFixe)) {
	$lesErreurs["numFixe"] = " Saisissez votre numéro de fixe ";
} elseif (!Fonction::formatValide($numFixe, 'tel')) {
	$lesErreurs["numFixe"] = " Caractères non acceptés ";
	} elseif (Fonction::verifierUniciteNumFixe($numFixe) == 1) {
		$lesErreurs["numFixe"] = "Numéro de fixe déjà utilisé";
}

if (count($lesErreurs) > 0) {
	$_SESSION['lesErreurs'] = $lesErreurs;
	$_SESSION['post'] = $_POST;
	header("Location:index.php?page=frmAjouterSalarie");
	exit;
}

$login = $prenom . "." . $nom;
$motDePasse = "2222";

// $sql = "insert into Salarie (nom, prenom, sexe, dateNaissance, ville, rue, codePostal, mail, numPortable, numFixe, login, motDePasse, idGroupe)";
// $sql .= " values ('" . $nom . "', '" . $prenom . "', '" . $sexe . "', '" . $dateNaissance . "', '" . $ville . "', '" . $rue . "', '" . $codePostal . "', '" . $mail . "',";
// $sql .= "'" . $numPortable . "', '" . $numFixe . "', '" . $login . "', '" . $motDePasse . "', " . $idGroupe . ");";
// $db->query($sql);
Donnees::addSalarie($nom, $prenom, $sexe, $dateNaissance, $ville, $rue, $codePostal, $mail, $numPortable, $numFixe, $login, $motDePasse, $idGroupe);

header("Location:index.php?page=afficherSalarie");

?>