<?php
/** 
 * @author BAG
 * @date 14/11/2013
*/

require("connexion.inc.php");

class Donnees { 

	// Recherche les éléments forfaitaires avec leur tarif
	// Utilisée dans : fichefrais.php
	static public function getElementForfaitaire() 
	{
		global $db;
		$sql = "select libelle, tarif from ElementForfaitaire;";
		$curseur = $db->query($sql); 
		$lesLignes = $curseur->fetchAll();
		$curseur->closeCursor();
		return $lesLignes;
	}
	
	// Recherche l'élement forfaitaire d'une fiche par rapport à un element forfaitaire.
	// Utilisée dans : fichefraiscomptable.php, visualiserFiche.php
	static public function getElementsForfaitairesCom($idFiche, $idElement) 
	{
		global $db;
		$sql = "select qte, tarif from LigneForfaitaire Join ElementForfaitaire on LigneForfaitaire.idElementForfaitaire = ElementForfaitaire.idElementForfaitaire  Where idFicheFrais = " . $idFiche . " and LigneForfaitaire.idElementForfaitaire = " . $idElement;
		$curseur = $db->query($sql); 
		$ligne = $curseur->fetch();
		$curseur->closeCursor();
		return $ligne;
	}
	
	// Recherche les élements hors forfait d'une fiche
	// Utilisée dans : fichefraiscomptable.php, visualiserFiche.php
	static public function getElementsHorsForfait($idFiche) 
	{
		global $db;
		$sql = "select dateJustificatif as date, libelle, montant, justificatif from LigneHorsForfait Where idFicheFrais = " . $idFiche . ";";
		$curseur = $db->query($sql); 
		$ligne = $curseur->fetchAll();
		$curseur->closeCursor();
		return $ligne;
	}
	
	// Rechecher le tarif d'un element forfaitaire d'un elementForfaitaire
	// Utilisée dans : fichefraiscomptable.php, visualiser.php
	static public function getTarifElementForfaitaire($id) 
	{
		global $db;
		$sql = "select tarif From ElementForfaitaire where idElementForfaitaire = " . $id;
		$curseur = $db->query($sql); 
		$ligne = $curseur->fetch();
		$curseur->closeCursor();
		return $ligne['tarif'];
	}
	
	// Recherche les justificatifs d'une fiche en fonction d'un element forfaitaire
	// Utilisée dans : fichefraiscomptable.php, visualiser.php
	static public function getLesJustificatifs($idFiche, $idElement) 
	{
		global $db;
		$sql = "select nom from Justificatif Where idFicheFrais = " . $idFiche . " and idElementForfaitaire = " . $idElement . ";";
		$curseur = $db->query($sql); 
		$lesLignes = $curseur->fetchAll();
		$curseur->closeCursor();
		return $lesLignes;
	}
	
	// Recherche les informations du kilométrage d'un salarié.
	// Utilisée dans : fichefraiscomptable.php, fichefrais.php, visualiserFiche.php.
	static public function getTarifKm($id) 
	{
		global $db;
		//$sql = "select Commercial.carburant, Commercial.puissance, tarifKm from Commercial join Tarif on Commercial.carburant = Tarif.carburant and Commercial.puissance = Tarif.puissance where idSalarie = " . $id;
		$sql = "select libelle, tarifKm from Commercial join Tarif on Commercial.idTarif = Tarif.id where idSalarie = " . $id;
		$curseur = $db->query($sql); 
		$ligne = $curseur->fetch();
		$curseur->closeCursor();
		return $ligne;
	}
	
	// Recherche Salarie son id et son mot de passe pour la connexion
	// Utilisée dans : login.php
	static public function getConnexion($login) 
	{
		global $db;
		$sql ="SELECT idSalarie, motDePasse From Salarie WHERE login = '" . $login . "';"; 
		$curseur = $db->query($sql);
		$ligne = $curseur->fetch();
		$curseur->closeCursor();
		return $ligne;
	}
	
	// Recherche les informations utile d'un salarie
	// Utilisée dans login.php
	static public function getInfoSalarie($idSalarie) 
	{
		global $db;
		$sql ="SELECT idGroupe, nom, prenom FROM Salarie WHERE idSalarie = '" . $idSalarie . "';"; 
		$curseur = $db->query($sql);
		$ligne = $curseur->fetch();
		$curseur->closeCursor();
		return $ligne;
	}
	
	// Recherche toutes les informations de tous les salariés
	// Utilisé dans afficherSalarie.php
	static public function getLesSalaries() 
	{
		global $db;
		$sql ="select idSalarie, prenom, nom, sexe, dateNaissance, rue, ville, codePostal, mail, numPortable, numFixe, login, motDePasse, idGroupe from Salarie order by nom"; 
		$curseur = $db->query($sql); 
		$lesLignes = $curseur->fetchAll();
		$curseur->closeCursor();
		return $lesLignes;
	}
	
	// Recherche les groupes
	// Utilisée dans frmAjouterSalarie.php, frmModifierSalarie.php
	static public function getLesGroupes() 
	{
		global $db;
		$sql ="select idGroupe, libelle from Groupe"; 
		$curseur = $db->query($sql); 
		$lesLignes = $curseur->fetchAll();
		$curseur->closeCursor();
		return $lesLignes;
	}
	
	// Recherche le nom d'un groupe en particulier
	// Utilisé dans : index.php
	static public function getNomGroupe($idGroupe)
	{
		global $db;
		$sql ="select libelle from Groupe where idGroupe = " . $idGroupe . ";"; 
		$curseur = $db->query($sql); 
		$valeur = $curseur->fetch();
		$curseur->closeCursor();
		return $valeur['libelle'];
	}
	
	// Recherche la dernière fiche frais entrée
	// Utilisé dans upload.php
	static public function getNextIdFicheFrais()
	{
		global $db;
		$sql ="select Max(idFicheFrais) from FicheFrais"; 
		$curseur = $db->query($sql); 
		$valeur = $curseur->fetch();
		$curseur->closeCursor();
		return $valeur[0] + 1;
	}
	
	// Ajoute des informations dans des tables lors d'un ajout d'une fiche frais
	// Utilisée dans : upload.php
	static public function addFicheFrais($id,$mois,$nbKm,$montant,$idCommercial,$qteNuit,$qteRepas)
	{
		global $db;
		$sql = "insert into FicheFrais(idFicheFrais,mois,annee,nbKm,montantTotal,idCommercial) values (" . $id . "," . $mois . "," . date("Y") . "," . $nbKm . "," . $montant . "," . $idCommercial . ")";
		$db->query($sql);
		$sql = "insert into EtatFicheFrais(idFicheFrais,idEtat,dateEtat) values (" . $id . ",1,'" . date("Y-m-d") . "')";
		$db->query($sql);
		$sql = "insert into LigneForfaitaire(qte,idFicheFrais,idElementForfaitaire) values (" . $qteNuit . "," . $id . ",1)";
		$db->query($sql);
		$sql = "insert into LigneForfaitaire(qte,idFicheFrais,idElementForfaitaire) values (" . $qteRepas . "," . $id . ",2)";
		$db->query($sql);
	}
	
	// Ajoute un justificatif lors de l'ajout d'une fiche frais
	// Utilisée dans : upload.php
	static public function addJustificatif($id, $ext, $nom)
	{
		global $db;
		$sql = "insert into Justificatif(idElementForfaitaire,idFicheFrais,nom) values ('" . $ext . "'," . $id . ",'" . $nom . "')";
		$db->query($sql);
	}
	
	// Ajoute un élement hors forfait lors de l'ajout d'une fiche frais
	// Utilisé dans : upload.php
	static public function addHorsForfait($libelle,$date,$mt,$idFiche,$justificatif)
	{
		global $db;
		$sql = "insert into LigneHorsForfait(libelle,dateJustificatif,montant,idFicheFrais,justificatif) values ('" .$libelle . "','" . $date . "'," . $mt . "," . $idFiche . ",'" . $justificatif . "')";
		$db->query($sql);
	}
	
	// Recherche des fiches frais en fonction de leur état
	// Utilisée dans : fichefraiscomptable.php
	static public function getFichesFrais($etat)
	{
		global $db;
		$sql = "SELECT FicheFrais.idFicheFrais, mois, annee, nbKm, montantTotal, idCommercial, nom, prenom";
		$sql .= " FROM FicheFrais Join Salarie On FicheFrais.idCommercial = Salarie.idSalarie";
		$sql .= " Join  EtatFicheFrais on FicheFrais.idFicheFrais = EtatFicheFrais.idFicheFrais";
		$sql .= " Where EtatFicheFrais.idEtat = " . $etat . " ORDER BY annee desc, mois desc";
		$curseur = $db->query($sql); 
		$lesLignes = $curseur->fetchAll();
		$curseur->closeCursor();
		return $lesLignes;
	}
	
	// Recherche une fiche frais en fonction de son id
	// Utilisé dans : visualiserFiche.php
	static public function getUneFichesFrais($id)
	{
		global $db;
		$sql = "SELECT FicheFrais.idFicheFrais, idEtat, mois, annee, nbKm, montantTotal, remarque";
		$sql .= " FROM FicheFrais";
		$sql .= " Join EtatFicheFrais on FicheFrais.idFicheFrais = EtatFicheFrais.idFicheFrais";
		$sql .= " Where FicheFrais.idFicheFrais = " . $id . " ORDER BY annee desc, mois desc";
		$curseur = $db->query($sql); 
		$Ligne = $curseur->fetch();
		$curseur->closeCursor();
		return $Ligne;
	}
	
	// Recherche les fiches frais d'un commercial en fonction d'un état
	// Utilisée dans : accueil.php
	static public function getFichesFraisCommercial($commercial, $etat)
	{
		global $db;
		$sql = "SELECT FicheFrais.idFicheFrais, mois, remarque, annee, nbKm, montantTotal, idCommercial, nom, prenom";
		$sql .= " FROM FicheFrais Join Salarie On FicheFrais.idCommercial = Salarie.idSalarie";
		$sql .= " Join  EtatFicheFrais on FicheFrais.idFicheFrais = EtatFicheFrais.idFicheFrais";
		$sql .= " Where EtatFicheFrais.idEtat = " . $etat . " and idCommercial = " . $commercial . " ORDER BY annee desc, mois desc";
		$curseur = $db->query($sql); 
		$lesLignes = $curseur->fetchAll();
		$curseur->closeCursor();
		return $lesLignes;
	}

	// Modifie etat d'une fiche
	// Utilisé dans : refusFiche.php, annulerFicher.php, acceptFicheFrais.php
	static public function changeEtatFiche($fiche, $idEtat)
	{
		global $db;
		$sql = "update EtatFicheFrais set idEtat = " . $idEtat . ", dateEtat = CURDATE() where idFicheFrais = " . $fiche;
		$db->query($sql);
	}
	
	// Ajoute un salarié
	// Utilisée dans : ajoutSalarie.php
	static public function addSalarie($nom, $prenom, $sexe, $dateNaissance, $ville, $rue, $codePostal, $mail, $numPortable, $numFixe, $login, $motDePasse, $idGroupe)
	{
		global $db;
		$sql = "insert into Salarie (nom, prenom, sexe, dateNaissance, ville, rue, codePostal, mail, numPortable, numFixe, login, motDePasse, idGroupe)";
		$sql .= " values ('" . $nom . "', '" . $prenom . "', '" . $sexe . "', '" . $dateNaissance . "', '" . $ville . "', '" . $rue . "', '" . $codePostal . "', '" . $mail . "',";
		$sql .= "'" . $numPortable . "', '" . $numFixe . "', '" . $login . "', '" . $motDePasse . "', " . $idGroupe . ");";
		$db->query($sql);
	}
	
	// Modifie les champs d'un salarié
	// Utilisée dans : modifierSalarie.php
	static public function setSalarie($idSalarie, $nom, $prenom, $sexe, $dateNaissance, $ville, $rue, $codePostal, $mail, $numPortable, $numFixe, $login, $motDePasse, $idGroupe)
	{
		global $db;
		$sql = "Update Salarie set nom = '" . $nom . "', prenom = '" . $prenom . "', sexe = '" . $sexe . "', dateNaissance = '" . $dateNaissance . "', ville = '" . $ville . "', rue = '" . $rue . "', codePostal = '" . $codePostal . "', mail = '" . $mail . "',";
		$sql .= " numPortable = '" . $numPortable . "', numFixe = '" . $numFixe . "', login = '" . $login . "', motDePasse = '" . $motDePasse . "', idGroupe = " . $idGroupe;
		$sql .= " where idSalarie = " . $idSalarie;
		$db->query($sql);
	}
	
	// Supprimer un salarié
	// Utilisée dans : supprimerSalarie.php
	static public function dellSalarie($idSalarie)
	{
		global $db;
		$sql = "delete from Salarie where idSalarie = " . $idSalarie;
		$db->query($sql);		
	}
	
	// Recherche des informations concernant un salarie
	// Utilisé dans : login.php, frmModifierPhoto.php, frmModifierSalarie.php, frmModifierVehicule.php
	static public function getUnSalarie($idSalarie)
	{
		global $db;
		$sql = "select prenom, nom, sexe, dateNaissance, rue, ville, codePostal, mail, numPortable, numFixe, login, motDePasse, idGroupe from Salarie where idSalarie = '" . $idSalarie . "'";
		$curseur = $db->query($sql); 
		$ligne = $curseur->fetch();	
		$curseur->closeCursor();
		return $ligne;
	}
	
	// Mettre à jour les données d'un véhicule
	// Utilisée dans : modifierVehicule.php
	static public function setVehicule($carburant, $puissance, $idSalarie)
	{
		global $db;
		$sql = "Update Commercial set carburant = '" . $carburant . "', puissance = '" . $puissance . "'";
		$sql .= " where idSalarie = " . $idSalarie;
		$db->query($sql);
		echo $sql;
	}
	
	// Modification de la remarque du refus
	// Utilisée dans : refusFiche.php
	static public function ajoutRemarque($remarque, $idFicheFrais)
	{
		global $db;
		$sql = "Update FicheFrais set remarque = '" . $remarque . "'";
		$sql .= " where idFicheFrais = " . $idFicheFrais;
		$db->query($sql);
		echo $sql;
	}
	
	// Afficher les tarifs
	// Utilisée dans : frmModifierVehicule.php
	static public function getLesTarifs() 
	{
		global $db;
		$sql ="select id, libelle, tarifKm from Tarif"; 
		$curseur = $db->query($sql); 
		$lesLignes = $curseur->fetchAll();
		$curseur->closeCursor();
		return $lesLignes;
	}
}
?>