<?php
/** 
 * @Dossier : \ 
 * @package SLAM
 * @Auteur : Aristide Agoyer
 * @Date : 07/10/2013
 */
session_start();
require("include/class.donnees.inc.php");
require("include/class.fonction.lib.php");
 
 // récupération des paramétres transmis par la méthode POST

echo $idSalarie = $_POST["idSalarie"];
echo $nom = Fonction::echapperCaractere($_POST["nom"]);
echo $prenom = Fonction::echapperCaractere($_POST["prenom"]);
echo $sexe = $_POST["sexe"];
echo $dateNaissance = $_POST["dateNaissance"];
echo $ville = Fonction::echapperCaractere($_POST["ville"]);
echo $rue = Fonction::echapperCaractere($_POST["rue"]);
echo $codePostal = $_POST["codePostal"];
echo $mail = $_POST["mail"];
echo $numPortable = $_POST["numPortable"];
echo $numFixe = $_POST["numFixe"];
echo $login = $prenom . "." . $nom;
echo $motDePasse = Fonction::echapperCaractere($_POST["motDePasse"]);
echo $idGroupe = $_POST["idGroupe"];

$lesErreurs = array();

// Vérification nom
if (empty($nom)) {
	$lesErreurs["nom"] = " Saisissez votre nom ";
} elseif (!Fonction::formatValide($nom, 'nom')) {
	$lesErreurs["nom"] = " Caractéres non acceptés ";
}

// Vérification prénom
if (empty($prenom)) { 
	$lesErreurs["prenom"] = " Saisissez votre prénom";
} elseif (!Fonction::formatValide($prenom, 'nom')) {
		$lesErreurs["prenom"] = " Caractères non acceptés ";
}

// contrôle de l'unicité du nom et prénom
if (!isset($lesErreurs["nom"]) && !isset($lesErreurs["prenom"])) {
	if (Fonction::verifierUniciteNomPrenomId($nom, $prenom, $idSalarie) == 1) {
		$lesErreurs["nom"] = " Utilisateur déjà inscrit";
	}
}

// Vérification ville
if (empty($ville)) { 
	$lesErreurs["ville"] = " Saisissez votre ville";
}

// Vérification rue
if (empty($rue)) { 
	$lesErreurs["rue"] = " Saisissez votre rue";
}

// contrôle de la date de naissance :  la date est récupérée dans le format aaaa-mm-jj type = 'date'
if (empty($dateNaissance)) {
	$lesErreurs["dateNaissance"] = " Saisissez votre date de naissance";
} elseif (!Fonction::formatValide($dateNaissance, 'dateMysql')) {
	$lesErreurs["dateNaissance"] = " Date de naissance invalide ";
}

// Vérification code postal
if (empty($codePostal)) {
	$lesErreurs["codePostal"] = " Saisissez votre code postal ";
} elseif (!Fonction::formatValide($codePostal, 'codePostal')) {
	$lesErreurs["codePostal"] = " Caractéres non acceptés ";
}

// Vérification de l'email

if (empty($mail)) {
	$lesErreurs["mail"] = " Saisissez votre E-mail ";
} elseif (!Fonction::formatValide($mail, 'mail')) {
	$lesErreurs["mail"] = " Caractères non acceptés ";
	} elseif (Fonction::verifierUniciteEmailId($mail, $idSalarie) == 1) {
		$lesErreurs["mail"] = "E-mail déjà utilisé";
}

// Vérification du portable

if (empty($numPortable)) {
	$lesErreurs["numPortable"] = " Saisissez votre numéro de portable ";
} elseif (!Fonction::formatValide($numPortable, 'tel')) {
	$lesErreurs["numPortable"] = " Caractères non acceptés ";
	} elseif (Fonction::verifierUniciteNumPortableId($numPortable, $idSalarie) == 1) {
		$lesErreurs["numPortable"] = "Numéro de portable déjà utilisé";
}

// Vérification du fixe

if (empty($numFixe)) {
	$lesErreurs["numFixe"] = " Saisissez votre numéro de fixe ";
} elseif (!Fonction::formatValide($numFixe, 'tel')) {
	$lesErreurs["numFixe"] = " Caractères non acceptés ";
	} elseif (Fonction::verifierUniciteNumFixeId($numFixe, $idSalarie) == 1) {
		$lesErreurs["numFixe"] = "Numéro de fixe déjà utilisé";
}

if (count($lesErreurs) > 0) {
	$_SESSION['lesErreurs'] = $lesErreurs;
	$_SESSION['post'] = $_POST;
	header("Location:index.php?page=frmModifierSalarie");
	exit;
}


// $sql = "Update Salarie set nom = '" . $nom . "', prenom = '" . $prenom . "', sexe = '" . $sexe . "', dateNaissance = '" . $dateNaissance . "', ville = '" . $ville . "', rue = '" . $rue . "', codePostal = '" . $codePostal . "', mail = '" . $mail . "',";
// $sql .= " numPortable = '" . $numPortable . "', numFixe = '" . $numFixe . "', login = '" . $login . "', motDePasse = '" . $motDePasse . "', idGroupe = " . $idGroupe;
// $sql .= " where idSalarie = " . $idSalarie;
// $db->query($sql);
Donnees::setSalarie($idSalarie, $nom, $prenom, $sexe, $dateNaissance, $ville, $rue, $codePostal, $mail, $numPortable, $numFixe, $login, $motDePasse, $idGroupe);
header("Location:index.php?page=afficherSalarie");

?>